"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.buildAndAnalyze = buildAndAnalyze;
const path_1 = require("path");
async function buildAndAnalyze(angularCompilation, typescriptFileCache, javascriptTransformer) {
    for (const { filename, contents, } of await angularCompilation.emitAffectedFiles()) {
        const normalizedFilename = (0, path_1.normalize)(filename.replace(/^[A-Z]:/, ''));
        await javascriptTransformer
            .transformData(normalizedFilename, contents, true, false)
            .then((contents) => {
            typescriptFileCache.set(normalizedFilename, Buffer.from(contents).toString());
        });
    }
}
